// **** Shaderfile for spirit3t3 ****


// ***** sky shader from fjotourney1 by fjoggs, texture by Ikka ***** //
textures/spirit3t3_sky/nightsky
{
	qer_editorimage textures/spirit3t3_sky/lun_stars.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 75
	q3map_sun 0 0 0 50 90 90
	skyParms env/space1 128 -
{
		map textures/spirit3t3_sky/lun_stars.tga
		tcMod scale 30 30
		depthWrite
}
{
		map textures/spirit3t3_sky/ik_sky_night_front.tga
		blendfunc add
		tcMod scale 3 2
		tcMod scroll 0.1 0.1
}
{
		map textures/spirit3t3_sky/ik_sky_night_back.tga
		blendfunc add
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
}
}


// **** Quake Style Teleporter ****
//This shader and textures by Decker and Jude

textures/spirit3t3_qw_teleporter/qw_teleporter
{
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_surfacelight 3000
	
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	
	cull disable
	
{
		map textures/spirit3t3_qw_teleporter/qw_teleporter.tga
		tcMod turb 0 .2 0 .1
}
} 


// **** glass shaders follow **** //
// made by Louie "KnightBK" Doulias


//	Blue, bright glass.  Light swirl pattern to it.
textures/spirit3t3_glass/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
{
		map textures/spirit3t3_glass/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
}
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 
textures/spirit3t3_glass/darkglass
{
                      qer_trans .5
                      surfaceparm trans
                      cull disable
		      surfaceparm nolightmap
{
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity                      
}
{
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
}
}

//	Foggy, stained glass modified by spirit
textures/spirit3t3_glass/darkglass_spirit
{
                      qer_trans .5
                      surfaceparm trans
                      surfaceparm nolightmap

                      cull disable
{
                    map textures/effects/tinfx.tga
//                    tcgen environment
//                    blendfunc gl_one gl_one
                      rgbGen identity                      
                      blendfunc filter
}
{
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
}
}




// 	Plain glass.
textures/spirit3t3_glass/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
{
		map textures/spirit3t3_glass/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
}
}



// ****** skeleton shaders **** //
models/mapobjects/skeletons/skeleton
{
    cull disable
    surfaceparm alphashadow
{
                map models/mapobjects/spirit3t3_skeletons/skeleton.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
}
}


// ***** glass shader by broar (slightly adapted), http://broar.sp1r1t.org ***** //
textures/spirit3t3_spirit/hull_trans
{
qer_editorimage textures/spirit3t3_spirit/hull_blue.tga
qer_trans 0.5
surfaceparm trans
cull disable
{
map textures/spirit3t3_spirit/hull_blue.tga
blendfunc filter
}
{
map textures/effects/tinfx2.tga
blendfunc gl_dst_color gl_one
tcGen environment
}
{
map $lightmap
blendfunc gl_dst_color gl_one
tcgen lightmap
}
}

// ***** another modification of the glass shader by broar ***** //
textures/spirit3t3_spirit/glass_blue
{
qer_editorimage textures/spirit3t3_spirit/glass.tga
qer_trans 0.5
surfaceparm trans
cull disable
{
map textures/spirit3t3_spirit/glass.tga
blendfunc filter
}
{
map textures/effects/tinfx2.tga
blendfunc gl_dst_color gl_one
tcGen environment
}
{
map $lightmap
blendfunc gl_dst_color gl_one
tcgen lightmap
}
}


// ***** shaders for the lun3dm4 textures by lunaran follow ***** //
//  lunaran: Feel free to modify and use.  

textures/spirit3t3_lun3dm4/crow1a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/spirit3t3_lun3dm4/crow1.tga
//	deformVertexes move 1 0.6 0.5 sin 0 48 0 0.042
{
		map textures/spirit3t3_lun3dm4/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
}
{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
}
}

textures/spirit3t3_lun3dm4/crow2a
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	qer_editorimage textures/spirit3t3_lun3dm4/crow1.tga
	deformVertexes move 1 0.3 0.5 sin 0 72 0 0.08
{
		map textures/spirit3t3_lun3dm4/crow1.tga
		rgbGen identity
		alphaFunc GE128
		depthWrite
}
{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
}
}

textures/spirit3t3_lun3dm4/nubiansky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 .9 .8 30 300 60
	q3map_surfacelight 50
	qer_editorimage textures/spirit3t3_lun3dm4/nubian5.tga
	skyparms env/lun4 768 -
{
		map textures/spirit3t3_lun3dm4/nubian5.tga
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		blendFunc GL_ONE GL_ONE
}
}

//                         \\
// --   Bouncy Bouncy   -- \\
//                         \\

textures/spirit3t3_lun3dm4/fan2
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
{
		clampmap textures/spirit3t3_lun3dm4/fan2.tga
		tcMod rotate 512 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity


}
{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
}
}


textures/spirit3t3_lun3dm4/jump1
{
	q3map_lightimage textures/spirit3t3_lun3dm4/jump1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		clampmap textures/spirit3t3_lun3dm4/jump1fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.2 1.5 0 1
}
{
		clampmap textures/spirit3t3_lun3dm4/jump1fx.tga
		rgbGen identity
		tcMod stretch sawtooth 0.2 1.5 0.5 1
		blendFunc GL_ONE GL_ONE
}
{
		map textures/spirit3t3_lun3dm4/jump1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}


//                       \\
// --   Alpha Texes   -- \\
//                       \\

textures/spirit3t3_lun3dm4/protograte1a
{
	qer_editorimage textures/spirit3t3_lun3dm4/protograte1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
{
		map textures/spirit3t3_lun3dm4/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
}
{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
}
}

textures/spirit3t3_lun3dm4/protograte2a
{
	qer_editorimage textures/spirit3t3_lun3dm4/protograte2.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
{
		map textures/spirit3t3_lun3dm4/protograte2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
}
{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
}
}

textures/spirit3t3_lun3dm4/protograte3a
{
	qer_editorimage textures/spirit3t3_lun3dm4/protograte3.tga
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
{
		map textures/spirit3t3_lun3dm4/protograte3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
}
{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
}
}

//                  \\
// --   Floors   -- \\
//                  \\

textures/spirit3t3_lun3dm4/clangfloor1
{
	surfaceparm metalsteps
{
		map textures/spirit3t3_lun3dm4/clangfloor1.tga
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}

textures/spirit3t3_lun3dm4/clangfloor1stripe
{
	surfaceparm metalsteps
{
		map textures/spirit3t3_lun3dm4/clangfloor1stripe.tga
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}

textures/spirit3t3_lun3dm4/clangfloor2
{
	surfaceparm metalsteps
{
		map textures/spirit3t3_lun3dm4/clangfloor2.tga
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}

textures/spirit3t3_lun3dm4/clangfloor2shiny
{
	surfaceparm metalsteps
	qer_editorimage textures/spirit3t3_lun3dm4/clangfloor2.tga
{
		map textures/spirit3t3_lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/clangfloor2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}

textures/spirit3t3_lun3dm4/clangfloor3bloodshiny
{	
	surfaceparm metalsteps
	qer_editorimage textures/spirit3t3_lun3dm4/clangfloor3blood.tga
{
		map textures/spirit3t3_lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/clangfloor3blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}


textures/spirit3t3_lun3dm4/clangfloor4
{
	surfaceparm metalsteps
{
		map textures/spirit3t3_lun3dm4/clangfloor4.tga
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}

textures/spirit3t3_lun3dm4/clangfloor4shiny
{
	surfaceparm metalsteps
	qer_editorimage textures/spirit3t3_lun3dm4/clangfloor4.tga
{
		map textures/spirit3t3_lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/clangfloor4.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}


textures/spirit3t3_lun3dm4/cstonefloor1bloodshiny
{	
	surfaceparm metalsteps
	qer_editorimage textures/spirit3t3_lun3dm4/cstonefloor1blood.tga
{

		map textures/spirit3t3_lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/cstonefloor1blood.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}


//                     \\
// --   Computers   -- \\
//                     \\

textures/spirit3t3_lun3dm4/q1comp4
{
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/q1comp4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/q1comp4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1 0.2 0 0.1
}
}

textures/spirit3t3_lun3dm4/q1comp6a
{
	qer_editorimage textures/spirit3t3_lun3dm4/q1comp6.tga
{
		map textures/spirit3t3_lun3dm4/q1comp6fx01.tga
		rgbGen identity
		tcMod scroll 0 -0.15
}
{
		map textures/spirit3t3_lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/q1comp6b
{
	qer_editorimage textures/spirit3t3_lun3dm4/q1comp6.tga
{
		map textures/spirit3t3_lun3dm4/q1comp6fx02.tga
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/q1comp6c
{
	qer_editorimage textures/spirit3t3_lun3dm4/q1comp6.tga
{
		map textures/spirit3t3_lun3dm4/q1comp6fx03.tga
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/q1comp6d
{
	qer_editorimage textures/spirit3t3_lun3dm4/q1comp6.tga
{
		map textures/spirit3t3_lun3dm4/q1comp6fx04.tga
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/q1comp6e
{
	qer_editorimage textures/spirit3t3_lun3dm4/q1comp6.tga
{
		map textures/spirit3t3_lun3dm4/q1comp6fx05a.tga
		rgbGen identity
		tcmod scale 1 1.5
		tcmod scroll 0 -1
}
{
		map textures/spirit3t3_lun3dm4/q1comp6fx05b.tga
		rgbGen identity
		tcmod scroll -3 -5
		tcmod rotate 180
		tcmod scale 1 -1
		blendFunc GL_ONE GL_ONE
}
{
		map textures/spirit3t3_lun3dm4/q1comp6fx05b.tga
		tcmod scroll 2 7
		tcmod rotate -270
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/q1comp6.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}


//                      \\
// --  Shiny Panels  -- \\
//                      \\

textures/spirit3t3_lun3dm4/pan4ashiny
{
	qer_editorimage textures/spirit3t3_lun3dm4/pan4a.tga
{
		map textures/spirit3t3_lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity

}
{
		map textures/spirit3t3_lun3dm4/pan4a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}

textures/spirit3t3_lun3dm4/pan4bshiny
{
	qer_editorimage textures/spirit3t3_lun3dm4/pan4b.tga
{
		map textures/spirit3t3_lun3dm4/lunfx.tga
		tcGen environment
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/pan4b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
}


//                     \\
// --  Death Metal  -- \\
//                     \\

textures/spirit3t3_lun3dm4/wmetal1shiny
{
	qer_editorimage textures/spirit3t3_lun3dm4/wmetal1.tga
{
		map textures/csforce_sfx/alaskafx3b.tga
		tcGen environment
}
{
		map textures/spirit3t3_lun3dm4/wmetal1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/wmetal2shiny
{
	qer_editorimage textures/spirit3t3_lun3dm4/wmetal2.tga
{
		map textures/csforce_sfx/alaskafx3b.tga
		tcGen environment
}
{
		map textures/spirit3t3_lun3dm4/wmetal2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/wmetal3shiny
{
	qer_editorimage textures/spirit3t3_lun3dm4/wmetal3.tga
{
		map textures/csforce_sfx/alaskafx3b.tga
		tcGen environment
}
{
		map textures/spirit3t3_lun3dm4/wmetal3.tga
		blendFunc GL_ONE GL_SRC_ALPHA
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}


//              \\
// -- Panels -- \\
//              \\

textures/spirit3t3_lun3dm4/zinc_lite1
{
	q3map_lightimage textures/spirit3t3_lun3dm4/sup_lite1fx.tga
	q3map_surfacelight 300
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/zinc_lite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/sup_lite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
}
}

textures/spirit3t3_lun3dm4/zinc_lite2
{
	q3map_lightimage textures/spirit3t3_lun3dm4/sup_lite2fx.tga
	q3map_surfacelight 300
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/zinc_lite2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/sup_lite2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
}
}

textures/spirit3t3_lun3dm4/zinc_lite3
{
	q3map_lightimage textures/spirit3t3_lun3dm4/sup_lite3fx.tga
	q3map_surfacelight 300
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/zinc_lite3.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/sup_lite3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
}
}

textures/spirit3t3_lun3dm4/zinc_lite4
{
	q3map_lightimage textures/spirit3t3_lun3dm4/zinc_lite4fx.tga
	q3map_surfacelight 300
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/zinc_lite4.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/zinc_lite4fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.1 0.25 0.30
}
}

//                             \\
// --  Triangular BalLites  -- \\
//                             \\

textures/spirit3t3_lun3dm4/trilite1_500
{
	qer_editorimage textures/spirit3t3_lun3dm4/trilite1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
}
}

textures/spirit3t3_lun3dm4/trilite1_1000
{
	qer_editorimage textures/spirit3t3_lun3dm4/trilite1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
}
}

textures/spirit3t3_lun3dm4/trilite1_2000
{
	qer_editorimage textures/spirit3t3_lun3dm4/trilite1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
}
}

textures/spirit3t3_lun3dm4/trilite1_3500
{
	qer_editorimage textures/spirit3t3_lun3dm4/trilite1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/trilite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/trilite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/trilite1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 0 0.1
}
}

//                     \\
// --  Lite Panels  -- \\
//                     \\

textures/spirit3t3_lun3dm4/litpan1_flik
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan1.tga
	surfaceparm nomarks
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 180 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
}
}

textures/spirit3t3_lun3dm4/litpan1_500
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan1_1000
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan1_2000
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan1_3500
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan2_flik2
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	surfaceparm nomarks
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.4 1.2 450 8
//		rgbGen wave square 0.5 0.5 0 0.5
}
}

textures/spirit3t3_lun3dm4/litpan2_flik3
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	surfaceparm nomarks
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 1800 6
//		rgbGen wave square 0.5 0.5 0 0.5
}
}

textures/spirit3t3_lun3dm4/litpan2_flik
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	surfaceparm nomarks
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 45 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
}
}

textures/spirit3t3_lun3dm4/litpan2_500
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan2_1000
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan2_2000
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
{
		map $lightmap
		rgbGen identity

}
{

		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan2_3500
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan2.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan2fx.tga

	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan2.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan3_flik
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan3.tga
	surfaceparm nomarks
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise -.6 1.6 90 5.5
//		rgbGen wave square 0.5 0.5 0 0.5
}
}

textures/spirit3t3_lun3dm4/litpan3_500
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan3.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan3_1000
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan3.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan3_2000
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan3.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}

textures/spirit3t3_lun3dm4/litpan3_3500
{
	qer_editorimage textures/spirit3t3_lun3dm4/litpan3.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/litpan3fx.tga
	surfaceparm nomarks
	q3map_surfacelight 3500

	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/litpan3.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/litpan3fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.8 0.1 0 0.1
}
}


//					 \\
// --  Goth1s  -- \\
//					 \\

textures/spirit3t3_lun3dm4/goth1_500
{
	qer_editorimage textures/spirit3t3_lun3dm4/goth1.tga

	q3map_lightimage textures/spirit3t3_lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
}
}

textures/spirit3t3_lun3dm4/goth1_1000
{
	qer_editorimage textures/spirit3t3_lun3dm4/goth1.tga


	q3map_lightimage textures/spirit3t3_lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
}
}

textures/spirit3t3_lun3dm4/goth1_2000
{
	qer_editorimage textures/spirit3t3_lun3dm4/goth1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
}
}

textures/spirit3t3_lun3dm4/goth1_3500
{
	qer_editorimage textures/spirit3t3_lun3dm4/goth1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/goth1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/goth1.tga
		blendFunc GL_DST_COLOR GL_ZERO
}
{
		map textures/spirit3t3_lun3dm4/goth1blend.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.7 0.3 0 0.1
}
}

//                  \\
// --   Protos   -- \\
//                  \\

textures/spirit3t3_lun3dm4/proto1_1000
{
	qer_editorimage textures/spirit3t3_lun3dm4/proto1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
}
{	
		map textures/spirit3t3_lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
}
{	
		map textures/spirit3t3_lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
}
}

textures/spirit3t3_lun3dm4/proto1_500
{
	qer_editorimage textures/spirit3t3_lun3dm4/proto1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{	
		map textures/spirit3t3_lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
}
{	
		map textures/spirit3t3_lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
}
}

textures/spirit3t3_lun3dm4/proto1_2000
{
	qer_editorimage textures/spirit3t3_lun3dm4/proto1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{	
		map textures/spirit3t3_lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
}
{	
		map textures/spirit3t3_lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
}
}

textures/spirit3t3_lun3dm4/proto1_3000
{
	qer_editorimage textures/spirit3t3_lun3dm4/proto1.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/proto1blend.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/proto1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{	
		map textures/spirit3t3_lun3dm4/proto1blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .75 0.25 0 .1
}
{	
		map textures/spirit3t3_lun3dm4/proto1fx.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave noise 0.2 0.1 0 12
}
}

//              \\
// -- Ceil11 -- \\
//              \\

textures/spirit3t3_lun3dm4/ceil11
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil11_1k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil11_2500
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil11_5k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil11_10k

{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil11_20k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}

}

textures/spirit3t3_lun3dm4/ceil11_30k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil11.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil11fx.tga
		blendfunc GL_ONE GL_ONE
}
}

//              \\
// -- ceil12 -- \\
//              \\

textures/spirit3t3_lun3dm4/ceil12
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil12_1k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil12_2500
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
{
		map $lightmap
		rgbGen identity

}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil12_5k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil12_10k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil12_20k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil12_30k
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil12.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12.tga
		blendFunc GL_DST_COLOR GL_ZERO

		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil12fx.tga
		blendfunc GL_ONE GL_ONE
}
}

//              \\
// -- ceil15 -- \\
//              \\

textures/spirit3t3_lun3dm4/ceil15
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
}
}


textures/spirit3t3_lun3dm4/ceil15_1k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil15_2500
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil15_5k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga

		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil15_10k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity

}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil15_20k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil15_30k

{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil15.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil15fx.tga


	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil15fx.tga
		blendfunc GL_ONE GL_ONE
}
}

//              \\
// -- ceil16 -- \\
//              \\

textures/spirit3t3_lun3dm4/ceil16
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 0
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil16_1k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil16_2500
{
	qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil16_5k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil16_10k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}


textures/spirit3t3_lun3dm4/ceil16_20k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	light 1
{
		map $lightmap
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}

textures/spirit3t3_lun3dm4/ceil16_30k
{
		qer_editorimage textures/spirit3t3_lun3dm4/ceil16.tga
	q3map_lightimage textures/spirit3t3_lun3dm4/ceil16fx.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
{
		map $lightmap
		rgbGen identity

}
{
		map textures/spirit3t3_lun3dm4/ceil16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}
{
		map textures/spirit3t3_lun3dm4/ceil16fx.tga
		blendfunc GL_ONE GL_ONE
}
}

//                \\
// -- Slipgate -- \\
//                \\

textures/spirit3t3_lun3dm4/jump2
{
	q3map_lightimage textures/spirit3t3_lun3dm4/jump2fx.tga
	surfaceparm nomarks
	q3map_surfacelight 100
{
		map textures/spirit3t3_lun3dm4/jump2fx.tga
		rgbGen identity
		tcMod scroll 0 1
}
{
		map textures/spirit3t3_lun3dm4/jump2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
}
{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spirit3t3_lun3dm4/slipgate
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_globaltexture
	qer_editorimage textures/spirit3t3_lun3dm4/slip2.tga
	tessSize 32
//	deformVertexes normal 1 0
//	deformvertexes normal 64 sine 2 0.1
//	deformVertexes wave 64 sine 0 0.5 0 0.2
//	DAMN!
{
		map textures/spirit3t3_lun3dm4/slip2.tga
		tcMod turb 0 0.5 0 0.2 // I'll take what I can get ... unfortunately, I could have had better ...
		tcMod scale 0.25 0.25
}
{
		map textures/spirit3t3_lun3dm4/slip2.tga
		tcMod turb 0 0.5 0.3 0.2
		tcMod scale 0.5 0.5
		blendFunc GL_ONE GL_ONE
}
{
		map textures/spirit3t3_lun3dm4/slip1.tga
		tcMod turb 0 1 0 4
		tcMod scale 0.25 0.25
		tcmod scroll .2 -.2
		blendFunc GL_DST_COLOR GL_ZERO
}

}





// **** Shaders for the e8 Texture Set by Evil Lair follow ****

textures/spirit3t3_evil8_lights/e8btrimlight
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8btrimlight.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8btrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t3_evil8_lights/e8btrimlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8btrimlight.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/e8trimlight
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8trimlight.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t3_evil8_lights/e8trimlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8trimlight.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_floor/e8warn2steplight
{
	qer_editorimage textures/spirit3t3_evil8_floor/e8warn2steplight.tga
	q3map_lightimage textures/spirit3t3_evil8_floor/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t3_evil8_floor/e8warn2steplight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_floor/e8warn2steplight.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_floor/e8minitrimlight
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8minitrimlight.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t3_evil8_lights/e8minitrimlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8minitrimlight.blend.tga
		blendfunc add
}
}
textures/spirit3t3_evil8_fx/e8_jumppad02
{
	q3map_lightimage textures/spirit3t3_evil8_fx/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 300
{
		map textures/spirit3t3_evil8_fx/e8_jumppad02_fx.tga
		blendfunc add
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
}
{
		map textures/spirit3t3_evil8_fx/e8_jumppad02.tga
		blendfunc add
		rgbGen identity
}
{
		map textures/spirit3t3_evil8_fx/e8_jumppad02.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

// **** added by spirit : alternate jumppad for vertex mode ('r_vertexlight 1') **** //
textures/spirit3t3_evil8_fx/e8_jumppad02_spirit
{
//	q3map_lightimage textures/spirit3t3_evil8_fx/e8_jumppad02_fx_spirit.jpg
//	surfaceparm metalsteps
	q3map_surfacelight 300
//{
//		map textures/spirit3t3_evil8_fx/e8_jumppad02_fx_spirit.jpg
//		blendfunc add
//		tcMod rotate 360
//		tcMod stretch sin 1 0.8 1 0.4 
//}
{
		map textures/spirit3t3_evil8_fx/e8_jumppad02_spirit.tga
		blendfunc add
		rgbGen identity
}
//{
//		map textures/spirit3t3_evil8_fx/e8_jumppad02_spirit.tga
//		blendfunc blend
//		rgbGen identity
//}
//{
//		map $lightmap 
//		blendfunc gl_dst_color gl_one_minus_dst_alpha
//		rgbGen identity
//		tcGen lightmap 
//}
}


textures/spirit3t3_evil8_lights/e8_rlightb2
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8_rlightb2.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8_rlightb2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
{
		map textures/spirit3t3_evil8_lights/e8_rlightb2.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8_rlightb2.blend.tga
		blendfunc add
}
}
textures/spirit3t3_evil8_lights/e8_rlightb
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8_rlightb.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
{
		map textures/spirit3t3_evil8_lights/e8_rlightb.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8_rlightb.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/evil8_rlight
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8_rlight.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t3_evil8_lights/e8_rlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8_rlight.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/e8tmtllight
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8tmtllight.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t3_evil8_lights/e8tmtllight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8tmtllight.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/e8tmtllight2
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8tmtllight2.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t3_evil8_lights/e8tmtllight2.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8tmtllight2.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/e8tmtllight2b
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8tmtllight2b.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t3_evil8_lights/e8tmtllight2b.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8tmtllight2b.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_grate/e8xgirder_small2
{
	cull disable
{
		map textures/spirit3t3_evil8_grate/e8xgirder_small2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t3_evil8_fx/e8alphaspawn
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t3_evil8_fx/e8alphaspawn.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t3_evil8_fx/e8yarrow
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t3_evil8_fx/e8yarrow.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t3_evil8_trim/e8lighttrim_static
{
	qer_editorimage textures/spirit3t3_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t3_evil8_trim/e8lighttrim.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_trim/e8lighttrim_glow
{
	qer_editorimage textures/spirit3t3_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t3_evil8_trim/e8lighttrim.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2 
}
}

textures/spirit3t3_evil8_trim/e8lighttrim_b_static
{
	qer_editorimage textures/spirit3t3_evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t3_evil8_trim/e8lighttrim_b.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_trim/e8lighttrim_b_glow
{
	qer_editorimage textures/spirit3t3_evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t3_evil8_trim/e8lighttrim_b.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2 
}
}

textures/spirit3t3_evil8_fx/e8jumpspawn02
{
	q3map_lightimage textures/spirit3t3_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t3_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
}
{
		map textures/spirit3t3_evil8_fx/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_fx/e8jumpspawn02b
{
	q3map_lightimage textures/spirit3t3_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t3_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
}
{
		map textures/spirit3t3_evil8_fx/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_fx/e8jumpspawn02c
{
	q3map_lightimage textures/spirit3t3_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t3_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
}
{
		map textures/spirit3t3_evil8_fx/e8jumpspawn02c.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_fx/e8_launchpad1
{
	q3map_lightimage textures/spirit3t3_evil8_fx/e8_launchpad1.blend.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t3_evil8_fx/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
}
{
		map textures/spirit3t3_evil8_fx/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
}
{
		map textures/spirit3t3_evil8_fx/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_fx/e8red_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t3_evil8_fx/e8red_dcl.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t3_evil8_fx/e8blue_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t3_evil8_fx/e8blue_dcl.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t3_evil8_grate/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
{
		map textures/spirit3t3_evil8_grate/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/evil8_grate/spirit3t3/e8xgirder_small
{
	cull disable
{
		map textures/spirit3t3_evil8_grate/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t3_evil8_trim/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_trim/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t3_evil8_trim/e8wrntrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_trim/e8wrntrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/evil8_trim/spirit3t3/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_trim/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t3_evil8_grate/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
{
		map textures/spirit3t3_evil8_grate/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t3_evil8_fx/e8rail
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
{
		map textures/spirit3t3_evil8_fx/e8rail.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t3_evil8_fx/e8icon_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_fx/e8icon_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
}
}

textures/spirit3t3_evil8_fx/e8icon_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_fx/e8icon_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
}
}

//doesn't work right, please edit as you see fit
textures/spirit3t3_evil8_fx/e8scuffs1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.4
{
		map textures/spirit3t3_evil8_fx/e8scuffs1.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
}
}

textures/spirit3t3_evil8_fx/e8circle_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
{
		map textures/spirit3t3_evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen identity
}
}

textures/spirit3t3_evil8_fx/e8circle_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
{
		map textures/spirit3t3_evil8_fx/e8circle_blue.tga
		blendfunc add
		rgbGen identity
}
}

textures/spirit3t3_evil8_fx/e8circle_red_fade
{
	qer_editorimage textures/spirit3t3_evil8_fx/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
}
}

textures/spirit3t3_evil8_fx/e8circle_blue_fade
{
	qer_editorimage textures/spirit3t3_evil8_fx/e8circle_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t3_evil8_fx/e8circle_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
}
}

textures/spirit3t3_evil8_fx/e8spawn01b
{
{
		map textures/sfx/proto_zzztblu2.tga
		rgbGen identity
		tcMod turb 0 0.5 0 9.6
		tcMod scale 2 2
		tcMod scroll 9 5
}
{
		map textures/spirit3t3_evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_trim/e8trim_bluefx
{
	q3map_lightimage textures/spirit3t3/e8trim/evil8_trimfx_b.tga
	q3map_surfacelight 100
{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
}
{
		map textures/spirit3t3_evil8_trim/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
}
}

textures/spirit3t3_evil8_trim/e8trim_redfx
{
	q3map_lightimage textures/spirit3t3_evil8_trim/e8trimfx_r.tga
	q3map_surfacelight 100
{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
}
{
		map textures/spirit3t3_evil8_trim/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
}
}

//not for public release :P
textures/spirit3t3_evil8_fx/e8evilspacetxt
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t3_evil8_fx/e8evilspacetxt.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t3_evil8_lights/e8tinylight
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8tinylight.tga
	q3map_lightimage textures/spirit3t3_evil8_lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t3_evil8_lights/e8tinylight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8tinylight.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/e8tinylightblue
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8tinylightblue.tga
	surfaceparm nomarks
{
		map textures/spirit3t3_evil8_lights/e8tinylightblue.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8tinylightblue.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_lights/e8tinylightblue_10k
{
	qer_editorimage textures/spirit3t3_evil8_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 6000
{
		map textures/spirit3t3_evil8_lights/e8tinylightblue.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_lights/e8tinylightblue.blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil8_fx/e8beam
{
	qer_editorimage textures/spirit3t3_evil8_fx/e8beam.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
{
		map textures/spirit3t3_evil8_fx/e8beam.tga
		blendfunc add
		tcMod scroll 0.3 0
}
}

textures/spirit3t3_evil8_fx/e8beam_blue
{
	qer_editorimage textures/spirit3t3_evil8_fx/e8beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
{
		map textures/spirit3t3_evil8_fx/e8beam_blue.tga
		blendfunc add
		tcMod scroll 0.3 0
}
}

textures/spirit3t3_evil8_base/e8metal03c_shiney
{
	qer_editorimage textures/spirit3t3_evil8_base/e8metal03c.tga
{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
}
{
		map textures/spirit3t3_evil8_base/e8metal03c.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_base/e8metal_blue_shiney
{
	qer_editorimage textures/spirit3t3_evil8_base/e8metal_blue.tga
{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
}
{
		map textures/spirit3t3_evil8_base/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t3_evil8_base/e8metal_red_shiney
{
	qer_editorimage textures/spirit3t3_evil8_base/e8metal_red.tga
{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
}
{
		map textures/spirit3t3_evil8_base/e8metal_red.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

//broken shader D:?
textures/spirit3t3_evil8_trim/e8trimlight
{
	q3map_lightimage textures/spirit3t3_evil8_trim/e8trimlight_fx.tga
//	q3map_surfacelight 100
	q3map_surfacelight 200
{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8trimlight.tga
		blendfunc filter
		rgbGen identity
}
{
		map textures/spirit3t3_evil8_trim/e8trimlight_fx.tga
		blendfunc add
		tcMod scroll -2 0
}
}

textures/spirit3t3_evil8_trim/e8trimlight2_blue
{
	qer_editorimage textures/spirit3t3_evil8_trim/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t3_evil8_trim/e8trimlight2_blue.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
}
}

textures/spirit3t3_evil8_trim/e8trimlight2_red
{
	qer_editorimage textures/spirit3t3_evil8_trim/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t3_evil8_trim/e8trimlight2_red.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t3_evil8_trim/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
}
}


//===========================//
//=======floor sounds========//
//===========================//
textures/spirit3t3_evil8_floor/e8clangfloor
{
	//qer_editorimage textures/spirit3t3_evil8_floor/e8clangfloor.tga
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor01
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor01.tga
		blendfunc filter
		rgbGen identity
}
}

textures/spirit3t3_evil8_floor/e8clangfloor03
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor03.tga
		blendfunc filter
		rgbGen identity
}
}

textures/spirit3t3_evil8_floor/e8clangfloor04
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor04.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor04_blue
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor04_blue.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor04_red
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor04_red.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor04b
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor04b.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor04warn
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor04warn2
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor04warn2.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor05
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor05.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor05b
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor05b.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t3_evil8_floor/e8clangfloor05c
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t3_evil8_floor/e8clangfloor05c.tga
		blendfunc filter
		rgbGen identity
}
}

// ***** evil 6 shaders ***** //

// evil 6 floors

textures/spirit3t3_evil6_floors/e6bsegrtflr128_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6bsegrtflr128.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6bsegrtflr128.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6bsegrtflr256_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6bsegrtflr256.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6grate_flr_b_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6grate_flr_b.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6grate_flr_b.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6grate_flr_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6grate_flr.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6grate_flr.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6grtfloorceil_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6grtfloorceil.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6grtfloorceil.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6grate2_flr_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6grate2_flr.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6grate2_flr.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6grate2_flr_b_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6grate2_flr_b.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6grate2_flr_b.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6launchcfloor_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6launchcfloor.tga
	q3map_lightimage textures/spirit3t3_evil6_floors/e6launchcfloor_glow.tga
//	q3map_surfacelight 400
	q3map_surfacelight 800
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_floors/e6launchcfloor.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_floors/e6launchcfloor_glow.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
}
{
		clampmap textures/spirit3t3_evil6_floors/e6launchcfloor_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
}
}

textures/spirit3t3_evil6_floors/e6launchengine_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6launchengine.tga
	q3map_lightimage textures/spirit3t3_evil6_floors/e6launchengine_glow.tga
//	q3map_surfacelight 400
	q3map_surfacelight 800
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_floors/e6launchengine.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_floors/e6launchengine_glow.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
}
{
		clampmap textures/spirit3t3_evil6_floors/e6launchengine_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
}
}

textures/spirit3t3_evil6_floors/e6launchlfloor_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6launchlfloor.tga
	q3map_lightimage textures/spirit3t3_evil6_floors/e6launchlfloor_glow.tga
//	q3map_surfacelight 400
	q3map_surfacelight 400
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_floors/e6launchlfloor.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_floors/e6launchlfloor_glow.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
}
{
		clampmap textures/spirit3t3_evil6_floors/e6launchlfloor_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
}
}

textures/spirit3t3_evil6_floors/e6tekmtlrflr_h_full_slow
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6tekmtlrflr_h.tga

{
		map textures/spirit3t3_evil6_floors/e6tekmtlrflr_h.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_floors/e6tekmtlrflr_h_glow.tga
		rgbgen wave sin .5 .5 0 .2
		blendfunc add
}
}

textures/spirit3t3_evil6_floors/e6tekmtlrflr_h_small_noisy_fast
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6tekmtlrflr_h.tga

{
		map textures/spirit3t3_evil6_floors/e6tekmtlrflr_h.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_floors/e6tekmtlrflr_h_glow.tga
		rgbgen wave noise .9 .2 0 4
		blendfunc add
}
}

textures/spirit3t3_evil6_floors/e6xgratebasic_b_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6xgratebasic_b.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6xgratebasic_b.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_floors/e6xgratebasic_s
{
	qer_editorimage textures/spirit3t3_evil6_floors/e6xgratebasic.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_floors/e6xgratebasic.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}


// textures/spirit3t3_evil6_lights/

textures/spirit3t3_evil6_lights/e6horzlight_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6horzlight.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6horzlight.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_lights/e6horzlight_blend.tga
		blendfunc add
}
}


// light shader for sweet e6 light, shader by dfsp*spirit
textures/spirit3t3_evil6_lights/e6mtltpnl_light_s_10k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6mtltpnl_light.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6mtltpnl_light.tga
}
{
		map textures/spirit3t3_evil6_lights/e6mtltpnl_light_blend.tga
		blendfunc add
}
{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
}
}


// e6horzovallight.jpg with e6horzovallight_blend.jpg and
// e6mtltpnl_light_fx.jpg  
// ( e6mtltpnl_light_fx.jpg scrolls up slowly (speed of 2) while
// e6mtltpnl_light_blend.jpg has the normal q3 light  shader)
// 
// 
textures/spirit3t3_evil6_lights/e6horzovallight_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6horzovallight.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6horzovallight.tga
}
{
		map textures/spirit3t3_evil6_lights/e6horzovallight_blend.tga
		blendfunc add
}
{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
}
}

// alpha channel:
textures/spirit3t3_evil6_lights/e6horzovallight_s_5k
{
qer_editorimage textures/spirit3t3_evil6_lights/e6horzovallight_a.tga
q3map_surfacelight 5000
surfaceparm nomarks
	
{
map textures/spirit3t3_evil6_lights/e6mtltpnl_light_fx.tga
tcmod scroll .2 1 
}
{
		map textures/spirit3t3_evil6_lights/e6horzovallight_a.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
}
{
		map textures/spirit3t3_evil6_lights/e6horzovallight_blend.tga
		blendfunc add
}
}



textures/spirit3t3_evil6_lights/e6platelight_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6platelight.tga
	q3map_surfacelight 5000
	q3map_lightimage textures/spirit3t3_evil6_lights/e6platelight_blend.tga
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6platelight.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_lights/e6platelight_blend.tga
		blendfunc add
}
}

// e6platelight_burnt.jpg with e6platelight_burnt_blend.jpg  (default q3 light shader)
textures/spirit3t3_evil6_lights/e6platelight_burnt_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6platelight_burnt.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6platelight_burnt.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_lights/e6platelight_burnt_blend.tga
		blendfunc add
}
}

// e6tinylight.jpg with e6tinylight_blend.jpg  (default q3 light shader)
textures/spirit3t3_evil6_lights/e6tinylight_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6tinylight.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6tinylight.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_lights/e6tinylight_blend.tga
		blendfunc add
}
}

// e6v_light.jpg with e6v_light_blend.jpg  (default q3 light shader)
textures/spirit3t3_evil6_lights/e6v_light_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6v_light.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6v_light.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_lights/e6v_light_blend.tga
		blendfunc add
}
}

// e6walllight.jpg with e6walllight_blend.jpg  (default q3 light shader)
textures/spirit3t3_evil6_lights/e6walllight_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6walllight.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	
{
		map textures/spirit3t3_evil6_lights/e6walllight.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_lights/e6walllight_blend.tga
		blendfunc add
}
}

// Maj: Added these strip ones

textures/spirit3t3_evil6_lights/e6basicstrip_blue_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6basicstrip_blue.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nolightmap
	
{
		map textures/spirit3t3_evil6_lights/e6basicstrip_blue.tga
}
}

textures/spirit3t3_evil6_lights/e6basicstrip_green_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6basicstrip_green.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nolightmap
	
{
		map textures/spirit3t3_evil6_lights/e6basicstrip_green.tga
}
}

textures/spirit3t3_evil6_lights/e6basicstrip_orange_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6basicstrip_orange.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nolightmap
	
{
		map textures/spirit3t3_evil6_lights/e6basicstrip_orange.tga
}
}

textures/spirit3t3_evil6_lights/e6basicstrip_red_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6basicstrip_red.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nolightmap
	
{
		map textures/spirit3t3_evil6_lights/e6basicstrip_red.tga
}
}

textures/spirit3t3_evil6_lights/e6basicstrip_white_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6basicstrip_white.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nolightmap
	
{
		map textures/spirit3t3_evil6_lights/e6basicstrip_white.tga
}
}

textures/spirit3t3_evil6_lights/e6basicstrip_yellow_s_5k
{
	qer_editorimage textures/spirit3t3_evil6_lights/e6basicstrip_yellow.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nolightmap
	
{
		map textures/spirit3t3_evil6_lights/e6basicstrip_yellow.tga
}
}


// evil 6 support

textures/spirit3t3_evil6_support/e6h_support_s
{
	qer_editorimage textures/spirit3t3_evil6_support/e6h_support.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_support/e6h_support.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_support/e6holestrip_s
{
	qer_editorimage textures/spirit3t3_evil6_support/e6holestrip.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_support/e6holestrip.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_support/e6vertgrt_supp_s_nolight
{
	qer_editorimage textures/spirit3t3_evil6_support/e6vertgrt_supp.tga
	q3map_lightimage textures/spirit3t3_evil6_support/e6vertgrt_supp_fx.tga
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_support/e6vertgrt_supp.tga
}
{
		map textures/spirit3t3_evil6_support/e6vertgrt_supp_fx.tga
		tcmod scroll 0 2
		blendfunc add
}
{
		map textures/spirit3t3_evil6_support/e6vertgrt_supp.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
}
}

textures/spirit3t3_evil6_support/e6vlight_supp_s_nolight
{
	qer_editorimage textures/spirit3t3_evil6_support/e6vlight_supp.tga
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_support/e6vlight_supp.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_support/e6vlight_supp_blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil6_support/e6x_supprt_s
{
	qer_editorimage textures/spirit3t3_evil6_support/e6x_supprt.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_support/e6x_supprt.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

textures/spirit3t3_evil6_support/e6xrst_supprt_s
{
	qer_editorimage textures/spirit3t3_evil6_support/e6xrst_supprt.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_support/e6xrst_supprt.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

// evil 6 trims

textures/spirit3t3_evil6_trims/e6btrim_light_s_nolight
{
	qer_editorimage textures/spirit3t3_evil6_trims/e6btrim_light.tga
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_trims/e6btrim_light.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_trims/e6btrim_light_blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil6_trims/e6metalfan_s
{
	qer_editorimage textures/spirit3t3_evil6_trims/e6metalfan.tga

{
		map textures/spirit3t3_evil6_trims/e6metalfan_blade.tga
		tcmod rotate 5000
}
{
		map textures/spirit3t3_evil6_trims/e6metalfan.tga
		blendfunc blend
}
{
		map $lightmap
		blendfunc filter
}
}

textures/spirit3t3_evil6_trims/e6strimlight_s_nolight
{
	qer_editorimage textures/spirit3t3_evil6_trims/e6strimlight.tga
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_trims/e6strimlight.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_trims/e6strimlight_blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil6_trims/e6trim_bsrlight_s_nolight
{
	qer_editorimage textures/spirit3t3_evil6_trims/e6trim_bsrlight.tga
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_trims/e6trim_bsrlight.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_trims/e6trim_bsrlight_blend.tga
		blendfunc add
}
}

textures/spirit3t3_evil6_trims/e6trim_light_s_nolight
{
	qer_editorimage textures/spirit3t3_evil6_trims/e6trim_light.tga
	surfaceparm nomarks

{
		map textures/spirit3t3_evil6_trims/e6trim_light.tga
}
{
		map $lightmap
		blendfunc filter
}
{
		map textures/spirit3t3_evil6_trims/e6trim_light_blend.tga
		blendfunc add
}
}


// evil 6 walls

// textures/spirit3t3_evil6_walls/  

// e6girdergrate.tga  (default grate shader)
textures/spirit3t3_evil6_walls/e6girdergrate_s
{
	qer_editorimage textures/spirit3t3_evil6_walls/e6girdergrate.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_walls/e6girdergrate.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

// e6girdergrate2b.tga  (default grate shader)
textures/spirit3t3_evil6_walls/e6girdergrate2b_s
{
	qer_editorimage textures/spirit3t3_evil6_walls/e6girdergrate2b.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_walls/e6girdergrate2b.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

// e6girdersupport.tga  (default grate shader)
textures/spirit3t3_evil6_walls/e6girdersupport_s
{
	qer_editorimage textures/spirit3t3_evil6_walls/e6girdersupport.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_walls/e6girdersupport.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

// e6indsdoor.tga  (default grate shader)
textures/spirit3t3_evil6_walls/e6indsdoor_s
{
	qer_editorimage textures/spirit3t3_evil6_walls/e6indsdoor.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none

{
		map textures/spirit3t3_evil6_walls/e6indsdoor.tga
		alphafunc GE128
		depthwrite
}
{
		map $lightmap
		depthfunc equal
		blendfunc filter
}
}

// e6tdoor.tga with e6tdoor_fx.tga will use this shader:
// Tech door light effect
textures/spirit3t3_evil6_walls/e6tdoor 
{         
        qer_editorimage textures/spirit3t3_evil6_walls/e6tdoor.tga 
        
{ 
                map textures/spirit3t3_evil6_walls/e6tdoor.tga 
} 
{ 
                map textures/spirit3t3_evil6_walls/e6tdoor_fx.tga  
                tcmod scroll -1 0  
                blendFunc add 
} 
{ 
                map textures/spirit3t3_evil6_walls/e6tdoor.tga 
                blendFunc blend
} 
{ 
                map $lightmap 
                blendFunc filter
} 
}

// some blood, made by broar
textures/spirit3t3_spirit/blood_02
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	qer_trans 0.75
	{
		map textures/spirit3t3_spirit/blood_02.tga
		blendfunc blend
	}
}

textures/spirit3t3_spirit/blood_03
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	qer_trans 0.75
	{
		map textures/spirit3t3_spirit/blood_03.tga
		blendfunc blend
	}
}


//========== EOF =============//

